Name:           sequence-library
Version:        1.0.2
Release:        7%{?dist}
Summary:        Textual diff and merge library

License:        Sequence     
URL:            http://svn.svnkit.com/repos/3rdparty/de.regnis.q.sequence/

# generated with:
#        svn checkout http://svn.svnkit.com/repos/3rdparty/de.regnis.q.sequence/tags/1.0.2/
Source0:        %{name}-%{version}.tar.gz
#Source1:        http://search.maven.org/remotecontent?filepath=de/regnis/q/sequence/%{name}/%{version}/%{name}-%{version}.pom
Source1:        %{name}-%{version}.pom
Source2:        %{name}-build.xml
BuildArch:      noarch

BuildRequires:  java-devel
BuildRequires:  junit
BuildRequires:  jpackage-utils 
BuildRequires:  ant
Requires:  jpackage-utils

%description
A textual diff and merge library.

%package        javadoc
Summary:        Javadocs for %{name}
Group:          Documentation
Requires:       jpackage-utils
%description    javadoc
This package contains the API documentation for %{name}.


%prep
%setup -q

# removing gradle build stuff
rm -rf gradle gradlew gradlew.bat

find -name '*.jar' -o -name '*.class' -exec rm -f '{}' \;

cp %{SOURCE2} build.xml

cat > sequence-library.build.properties <<EOF
version=%{versionr}
build.number=${versionr}
EOF

cat > manifest.mf <<EOF
Build-Version: %{versionr}
EOF


%build
ant all


%install

install -d -m 755 %{buildroot}%{_javadir}
install -m 644 build/libs/%{name}-%{versionr}.jar %{buildroot}%{_javadir}/%{name}.jar

# pom
install -Dpm 644 %{SOURCE1} %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap

# javadocs
install -d -m 755 %{buildroot}%{_javadocdir}/%{name}
cp -rp docs/api/ %{buildroot}%{_javadocdir}/%{name}


%files -f .mfiles
%doc LICENSE.txt

%files javadoc
%{_javadocdir}/*
%doc LICENSE.txt


%changelog
* Fri Aug  8 2014 Ismael Olea <ismael@olea.org> - 1.0.2-7
- fixing #1107293

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 1.0.2-5
- Use Requires: java-headless rebuild (#1067528)

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Nov 9 2012 Ismael Olea <ismael@olea.org> - 1.0.2-2
- review changes: https://bugzilla.redhat.com/show_bug.cgi?id=873738#c7

* Thu Nov 8 2012 Ismael Olea <ismael@olea.org> - 1.0.2-1
- review changes: https://bugzilla.redhat.com/show_bug.cgi?id=873738#c2
- review changes: https://bugzilla.redhat.com/show_bug.cgi?id=873738#c3

* Tue Oct 9 2012 Ismael Olea <ismael@olea.org> - 1.0.2.20121003svn-2
- spec tuning

* Wed Oct 3 2012 Ismael Olea <ismael@olea.org> - 1.0.2.20121003svn-1
- first package
